summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2018-10-27 15:58:06 +0000
committerDaniel Bermond2018-10-28 01:20:34 +0000
commitc85fa1250fc29e73b0d8359ba899d435fd0c2030 (patch)
tree6c2601217328531f507423e2e7aa0c24c411d34f
parent49acdaa9e7ca185bc828c437554c32c56b9f858e (diff)
downloadaur-c85fa1250fc29e73b0d8359ba899d435fd0c2030.tar.gz
Cosmetic changes
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD247
2 files changed, 128 insertions, 122 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 912de3ca219..a2ac639b8d2 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = lib32-nvidia-utils-beta
pkgdesc = NVIDIA driver utilities and libraries (beta version) (32-bit)
pkgver = 410.73
- pkgrel = 1
+ pkgrel = 2
url = http://www.nvidia.com/
arch = x86_64
license = custom:NVIDIA
@@ -11,6 +11,7 @@ pkgbase = lib32-nvidia-utils-beta
sha256sums = bebc9cf781201beb5ec1a1dde7672db68609b8af0aa5ff32daa3ebb533c2ff1e
pkgname = lib32-nvidia-utils-beta
+ pkgdesc = NVIDIA driver utilities and libraries (beta version) (32-bit)
depends = lib32-zlib
depends = lib32-gcc-libs
depends = nvidia-utils-beta
diff --git a/PKGBUILD b/PKGBUILD
index 00060ada98e..2e73d172767 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -10,28 +10,33 @@
pkgbase=lib32-nvidia-utils-beta
pkgname=('lib32-nvidia-utils-beta' 'lib32-nvidia-libgl-beta' 'lib32-opencl-nvidia-beta')
pkgver=410.73
-pkgrel=1
+pkgrel=2
pkgdesc='NVIDIA driver utilities and libraries (beta version) (32-bit)'
arch=('x86_64')
url='http://www.nvidia.com/'
-makedepends=('nvidia-libgl-beta') # To avoid conflict during installation in the build chroot
+makedepends=('nvidia-libgl-beta') # to avoid conflict during installation in the build chroot
license=('custom:NVIDIA')
options=('!strip')
_pkg="NVIDIA-Linux-${CARCH}-${pkgver}"
source=("http://us.download.nvidia.com/XFree86/Linux-${CARCH}/${pkgver}/${_pkg}.run")
sha256sums=('bebc9cf781201beb5ec1a1dde7672db68609b8af0aa5ff32daa3ebb533c2ff1e')
+# create missing soname links
_create_links() {
- # create missing soname links
- for _lib in $(find "$pkgdir" -name '*.so*' | grep -v 'xorg/'); do
- # Get soname/base name
- _soname=$(dirname "$_lib")/$(readelf -d "$_lib" | grep -Po 'SONAME.*: \[\K[^]]*' || true)
- _base=$(echo "$_soname" | sed -r 's/(.*).so.*/\1.so/')
-
- # Create missing links
- [[ -e $_soname ]] || ln -s $(basename "$_lib") "$_soname"
- [[ -e $_base ]] || ln -s $(basename "$_soname") "$_base"
- done
+ local _lib
+ local _soname
+ local _base
+
+ for _lib in $(find "$pkgdir" -name '*.so*' | grep -v 'xorg/')
+ do
+ # get soname/base name
+ _soname="$(dirname "$_lib")/$(readelf -d "$_lib" | grep -Po 'SONAME.*: \[\K[^]]*' || true)"
+ _base="$(echo "$_soname" | sed -r 's/(.*).so.*/\1.so/')"
+
+ # create missing links
+ [ -e "$_soname" ] || ln -s "$(basename "$_lib")" "$_soname"
+ [ -e "$_base" ] || ln -s "$(basename "$_soname")" "$_base"
+ done
}
prepare() {
@@ -42,119 +47,119 @@ prepare() {
}
package_lib32-opencl-nvidia-beta() {
- pkgdesc="NVIDIA's OpenCL implemention for 'lib32-nvidia-utils-beta' "
- depends=('lib32-zlib' 'lib32-gcc-libs')
- optdepends=('opencl-headers: headers necessary for OpenCL development')
- provides=("lib32-opencl-nvidia=$pkgver" 'lib32-opencl-driver')
- conflicts=('lib32-opencl-nvidia')
- cd $_pkg
-
- # OpenCL
- install -Dm755 32/libnvidia-compiler.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-compiler.so.$pkgver
- install -Dm755 32/libnvidia-opencl.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-opencl.so.$pkgver
-
- # create missing soname links
- _create_links
-
- # license
- install -D -m644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
+ pkgdesc="NVIDIA's OpenCL implemention for 'lib32-nvidia-utils-beta'"
+ depends=('lib32-zlib' 'lib32-gcc-libs')
+ optdepends=('opencl-headers: headers necessary for OpenCL development')
+ provides=("lib32-opencl-nvidia=${pkgver}" 'lib32-opencl-driver')
+ conflicts=('lib32-opencl-nvidia')
+
+ cd "${_pkg}/32"
+
+ # libraries
+ install -D -m755 "libnvidia-compiler.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libnvidia-opencl.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ _create_links
+
+ # license
+ cd "${srcdir}/${_pkg}"
+ install -D -m644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
package_lib32-nvidia-libgl-beta() {
- pkgdesc="NVIDIA driver library symlinks for 'lib32-nvidia-utils-beta'"
- depends=('lib32-nvidia-utils-beta' 'nvidia-libgl-beta')
- provides=("lib32-nvidia-libgl=$pkgver" 'lib32-libgl' 'lib32-libegl' 'lib32-libgles')
- conflicts=('lib32-nvidia-libgl' 'lib32-libgl' 'lib32-libegl' 'lib32-libgles')
- replaces=('lib32-nvidia-utils<=313.26-1')
- cd $_pkg
-
- mkdir -p "${pkgdir}/usr/lib32/"
-
- # libGL (link)
- ln -s /usr/lib32/nvidia/libGL.so.1.7.0 "$pkgdir"/usr/lib32/libGL.so.1
- ln -s libGL.so.1 "$pkgdir"/usr/lib32/libGL.so
-
- # EGL (link)
- ln -s /usr/lib32/nvidia/libEGL.so.1.1.0 "$pkgdir"/usr/lib32/libEGL.so.1
- ln -s libEGL.so.1 "$pkgdir"/usr/lib32/libEGL.so
-
- # OpenGL ES 1 (link)
- ln -s /usr/lib32/nvidia/libGLESv1_CM.so.1.2.0 "$pkgdir"/usr/lib32/libGLESv1_CM.so.1
- ln -s libGLESv1_CM.so.1 "$pkgdir"/usr/lib32/libGLESv1_CM.so
-
- # OpenGL ES 2 (link)
- ln -s /usr/lib32/nvidia/libGLESv2.so.2.1.0 "$pkgdir"/usr/lib32/libGLESv2.so.2
- ln -s libGLESv2.so.2 "$pkgdir"/usr/lib32/libGLESv2.so
-
- # license
- install -D -m644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
+ pkgdesc="NVIDIA driver library symlinks for 'lib32-nvidia-utils-beta'"
+ depends=('lib32-nvidia-utils-beta' 'nvidia-libgl-beta')
+ provides=("lib32-nvidia-libgl=${pkgver}" 'lib32-libgl' 'lib32-libegl' 'lib32-libgles')
+ conflicts=('lib32-nvidia-libgl' 'lib32-libgl' 'lib32-libegl' 'lib32-libgles')
+ replaces=('lib32-nvidia-utils<=313.26-1')
+
+ cd "$_pkg"
+
+ mkdir -p "${pkgdir}/usr/lib32/"
+
+ # libGL (link)
+ ln -s /usr/lib32/nvidia/libGL.so.1.7.0 "${pkgdir}/usr/lib32/libGL.so.1"
+ ln -s libGL.so.1 "${pkgdir}/usr/lib32/libGL.so"
+
+ # EGL (link)
+ ln -s /usr/lib32/nvidia/libEGL.so.1.1.0 "${pkgdir}/usr/lib32/libEGL.so.1"
+ ln -s libEGL.so.1 "${pkgdir}/usr/lib32/libEGL.so"
+
+ # OpenGL ES 1 (link)
+ ln -s /usr/lib32/nvidia/libGLESv1_CM.so.1.2.0 "${pkgdir}/usr/lib32/libGLESv1_CM.so.1"
+ ln -s libGLESv1_CM.so.1 "${pkgdir}/usr/lib32/libGLESv1_CM.so"
+
+ # OpenGL ES 2 (link)
+ ln -s /usr/lib32/nvidia/libGLESv2.so.2.1.0 "${pkgdir}/usr/lib32/libGLESv2.so.2"
+ ln -s libGLESv2.so.2 "${pkgdir}/usr/lib32/libGLESv2.so"
+
+ # license
+ install -D -m644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
package_lib32-nvidia-utils-beta() {
- depends=('lib32-zlib' 'lib32-gcc-libs' 'nvidia-utils-beta' 'lib32-mesa>=17.0.2-1')
- optdepends=('lib32-opencl-nvidia-beta: OpenCL support')
- provides=("lib32-nvidia-utils=$pkgver" 'lib32-libglvnd' 'lib32-vulkan-driver')
- conflicts=('lib32-nvidia-utils' 'lib32-libglvnd')
- cd $_pkg
-
- # libGL & OpenGL
- install -Dm755 32/libGL.so.1.7.0 "$pkgdir"/usr/lib32/nvidia/libGL.so.1.7.0
- install -Dm755 32/libGLdispatch.so.0 "$pkgdir"/usr/lib32/libGLdispatch.so.0
- install -Dm755 32/libnvidia-glcore.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glcore.so.$pkgver
- install -Dm755 32/libOpenGL.so.0 "$pkgdir"/usr/lib32/libOpenGL.so.0
- install -Dm755 32/libnvidia-glvkspirv.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glvkspirv.so.$pkgver
-
- # GLX
- install -Dm755 32/libGLX.so.0 "$pkgdir"/usr/lib32/libGLX.so.0
- install -Dm755 32/libGLX_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLX_nvidia.so.$pkgver
- # now in lib32-mesa driver
- #ln -s libGLX_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLX_indirect.so.0
-
- # EGL
- install -Dm755 32/libEGL.so.1.1.0 "$pkgdir"/usr/lib32/nvidia/libEGL.so.1.1.0
- install -Dm755 32/libEGL_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libEGL_nvidia.so.$pkgver
- install -Dm755 32/libnvidia-eglcore.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-eglcore.so.$pkgver
-
- # OpenGL ES
- install -Dm755 32/libGLESv1_CM.so.1.2.0 "$pkgdir"/usr/lib32/nvidia/libGLESv1_CM.so.1.2.0
- install -Dm755 32/libGLESv1_CM_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLESv1_CM_nvidia.so.$pkgver
- install -Dm755 32/libGLESv2.so.2.1.0 "$pkgdir"/usr/lib32/nvidia/libGLESv2.so.2.1.0
- install -Dm755 32/libGLESv2_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLESv2_nvidia.so.$pkgver
- install -Dm755 32/libnvidia-glsi.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glsi.so.$pkgver
-
- # VDPAU (Video Decode and Presentation API for Unix)
- install -Dm755 32/libvdpau_nvidia.so.$pkgver "$pkgdir"/usr/lib32/vdpau/libvdpau_nvidia.so.$pkgver
-
- # GPU-accelerated video encoding
- install -Dm755 32/libnvidia-encode.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-encode.so.$pkgver
-
- # CUDA (Compute Unified Device Architecture)
- install -Dm755 32/libcuda.so.$pkgver "$pkgdir"/usr/lib32/libcuda.so.$pkgver
- install -Dm755 32/libnvcuvid.so.$pkgver "$pkgdir"/usr/lib32/libnvcuvid.so.$pkgver
-
- # PTX JIT Compiler (Parallel Thread Execution (PTX) is a pseudo-assembly language for CUDA)
- install -Dm755 32/libnvidia-ptxjitcompiler.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ptxjitcompiler.so.$pkgver
-
- # Fat (multiarchitecture) binary loader
- install -Dm755 32/libnvidia-fatbinaryloader.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-fatbinaryloader.so.$pkgver
-
- # TLS (Thread local storage) support for OpenGL libs
- install -Dm755 32/libnvidia-tls.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-tls.so.$pkgver # Classic
- install -Dm755 32/tls/libnvidia-tls.so.$pkgver "$pkgdir"/usr/lib32/tls/libnvidia-tls.so.$pkgver # New
-
- # GPU monitoring and management
- install -Dm755 32/libnvidia-ml.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ml.so.$pkgver
-
- # Helper libs for approved partners' GRID remote apps
- install -Dm755 32/libnvidia-ifr.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ifr.so.$pkgver
- install -Dm755 32/libnvidia-fbc.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-fbc.so.$pkgver
-
- # Not required (https://bugs.archlinux.org/task/38604):
- # - libnvidia-wfb.so.$pkgver (provided by xorg-server: https://www.archlinux.org/packages/extra/x86_64/xorg-server/)
-
- # create missing soname links
- _create_links
-
- # license
- install -D -m644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
+ pkgdesc='NVIDIA driver utilities and libraries (beta version) (32-bit)'
+ depends=('lib32-zlib' 'lib32-gcc-libs' 'nvidia-utils-beta' 'lib32-mesa>=17.0.2-1')
+ optdepends=('lib32-opencl-nvidia-beta: OpenCL support')
+ provides=("lib32-nvidia-utils=${pkgver}" 'lib32-libglvnd' 'lib32-vulkan-driver')
+ conflicts=('lib32-nvidia-utils' 'lib32-libglvnd')
+
+ cd "${_pkg}/32"
+
+ # libGL & OpenGL
+ install -D -m755 libGL.so.1.7.0 -t "${pkgdir}/usr/lib32/nvidia"
+ install -D -m755 libGLdispatch.so.0 -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libnvidia-glcore.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ install -D -m755 libOpenGL.so.0 -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libnvidia-glvkspirv.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # GLX
+ install -D -m755 libGLX.so.0 -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libGLX_nvidia.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ # now in lib32-mesa driver
+ #ln -s "libGLX_nvidia.so.${pkgver}" "${pkgdir}/usr/lib32/libGLX_indirect.so.0"
+
+ # EGL
+ install -D -m755 libEGL.so.1.1.0 -t "${pkgdir}/usr/lib32/nvidia"
+ install -D -m755 "libEGL_nvidia.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libnvidia-eglcore.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # OpenGL ES
+ install -D -m755 libGLESv1_CM.so.1.2.0 -t "${pkgdir}/usr/lib32/nvidia"
+ install -D -m755 "libGLESv1_CM_nvidia.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ install -D -m755 libGLESv2.so.2.1.0 -t "${pkgdir}/usr/lib32/nvidia"
+ install -D -m755 "libGLESv2_nvidia.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libnvidia-glsi.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # VDPAU (Video Decode and Presentation API for Unix)
+ install -D -m755 "libvdpau_nvidia.so.${pkgver}" -t "${pkgdir}/usr/lib32/vdpau"
+
+ # GPU-accelerated video encoding
+ install -D -m755 "libnvidia-encode.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # CUDA (Compute Unified Device Architecture) (perform traditional CPU calculations with the GPU)
+ install -D -m755 "libcuda.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libnvcuvid.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # PTX JIT Compiler (Parallel Thread Execution (PTX) is a pseudo-assembly language for CUDA)
+ install -D -m755 "libnvidia-ptxjitcompiler.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # Fat (multiarchitecture) binary loader
+ install -D -m755 "libnvidia-fatbinaryloader.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # TLS (Thread local storage) support for OpenGL libs
+ install -D -m755 "libnvidia-tls.so.${pkgver}" -t "${pkgdir}/usr/lib32" # classic
+ install -D -m755 "tls/libnvidia-tls.so.${pkgver}" -t "${pkgdir}/usr/lib32/ts" # new
+
+ # GPU monitoring and management
+ install -D -m755 "libnvidia-ml.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ # helper libs for approved partners GRID remote apps
+ install -D -m755 "libnvidia-ifr.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+ install -D -m755 "libnvidia-fbc.so.${pkgver}" -t "${pkgdir}/usr/lib32"
+
+ _create_links
+
+ # license
+ cd "${srcdir}/${_pkg}"
+ install -D -m644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}